## ----include=FALSE------------------------------------------------------------
select_country <- function(){
  country <- read.csv("https://storage.covid19datahub.io/country/index.csv", fileEncoding = "UTF-8")
  options <- paste(sprintf('<option value="%s">%s</option>', country$iso_alpha_3, country$name), collapse = "\n")
  sprintf('<select class="selectize" placeholder="Select a country" onchange="downloadTable(this, \'country\')"><option disabled selected value></option>\n%s\n</select>', options)
}

## ----include=FALSE------------------------------------------------------------
select_location <- function(){
  location <- read.csv("https://storage.covid19datahub.io/location/index.csv", fileEncoding = "UTF-8")
  location$name <- gsub("^(, )*", "", paste(sep = ", ",
    location$administrative_area_level_3,
    location$administrative_area_level_2,
    location$administrative_area_level_1))
  options <- paste(sprintf('<option value="%s">%s</option>', location$id, location$name), collapse = "\n")
  sprintf('<select class="selectize" placeholder="Select a location" onchange="downloadTable(this, \'location\')"><option disabled selected value></option>\n%s\n</select>', options)
}

## ----include=FALSE------------------------------------------------------------
tab <- function(start, end, version){
  if(end<start) return(NULL)
  dates <- seq(as.Date(end), as.Date(start), by = -1)
  head <- "| URL | Data Sources | Snapshot Date | Downloads | \n |-------------------------------------------------------|----------------------------------------|--------------------------|------------------|"
  if(version<3){
    tab <- sprintf("| https://storage.covid19datahub.io/%s.zip | Included in the zip folder | %s | <img src=\"https://storage.covid19datahub.io/downloads/%s.zip.svg\" onerror=\"this.src='https://img.shields.io/badge/downloads-0-blue'\"/> |", dates, dates, dates)    
  }
  else{
      tab <- sprintf("| https://storage.covid19datahub.io/%s.db.gz | [Download PDF](https://storage.covid19datahub.io/%s.pdf) &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; | %s | <img src=\"https://storage.covid19datahub.io/downloads/%s.db.gz.svg\" onerror=\"this.src='https://img.shields.io/badge/downloads-0-blue'\"/> |", dates, dates, dates, dates, dates, dates, dates, dates)
  }
  paste(head, paste0(tab, collapse = "\n"), sep = '\n')
}

